Foxit PDF SDK

Instance Methods | List of all members
FSImageSettings Class Reference
Inheritance diagram for FSImageSettings:

## Instance Methods
(id) | - init
| Constructor. More...
(id) | - initWithOther:
| Constructor, with another image settings object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setBackgroundDownScale:
| Set the background downscale value for lossy compression modes, used for optimizing color images in a PDF document. More...
(void) | - setCompressionMode:
| Set compression mode used for optimizing color/gray images in a PDF document. More...
(void) | - setForegroundDownScale:
| Set the foreground downscale value for lossy compression modes, used for optimizing color images in a PDF document. More...
(void) | - setImageDPI:
| Set the DPI value as the target compressed value for compressing color/gray images in a PDF document. More...
(void) | - setImageDPILimit:
| Set the lower limit DPI value for the color/gray image to decide if the image is to be compressed in a PDF document. More...
(void) | - setQuality:
| Set the quality for lossy compression modes, used for optimizing color/gray images in a PDF document. More...
(void) | - setStretchMode:
| Set stretch mode used for optimizing color/gray images in a PDF document. More...
(void) | - setTextSensitivity:
| Set the text sensitivity for lossy compression modes, used for optimizing color images in a PDF document. More...
(void) | - setTileSize:
| Set the tile size for JPEG2000 compression modes, used for optimizing color/gray images in a PDF document. More...

## Detailed Description

This class represents downsampling/recompression settings for color and grayscale images. This class object can be set to class FSOptimizerSettings and then be used to optimize a PDF document.

See also
  FSOptimizerSettings

## Method Documentation

## ◆ init()

- (id) init |  |  |

Constructor.

This constructor is to construct a color/gray image settings object with default setting options. User can also call "set" methods in this class to change these setting options. Please refer to comment of these "set" methods for more details about default values.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSImageSettings*) | other |

Constructor, with another image settings object.

Parameters

  [in] | other | Another image settings object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setBackgroundDownScale:()

- (void) setBackgroundDownScale: |  | (int) | down_scale |

Set the background downscale value for lossy compression modes, used for optimizing color images in a PDF document.

This function is used to reduce the resolution of the background image.

Parameters

  [in] | down_scale | Background downscale value for lossy compression modes. It should be above 0. If the value is 1, the background resolution is not reduced. If the value is larger than 1, the higher the value, the lower the background resolution. If this function is not called to set this option, that means to use 3 as the default value of this option.

Returns
  None.

## ◆ setCompressionMode:()

- (void) setCompressionMode: |  | (FSImageSettingsImageCompressMode) | mode |

Set compression mode used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSImageSettingsImageCompressjpeg as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSImageSettingsImageCompressHigh and this should be one of these values.

Returns
  None.

## ◆ setForegroundDownScale:()

- (void) setForegroundDownScale: |  | (int) | down_scale |

Set the foreground downscale value for lossy compression modes, used for optimizing color images in a PDF document.

This function is used to reduce the resolution of the foreground image.

Parameters

  [in] | down_scale | Foreground downscale value for lossy compression modes. It should be above 0. If the value is 1, the foreground resolution is not reduced. If the value is larger than 1, the higher the value, the lower the foreground resolution. If this function is not called to set this option, that means to use 3 as the default value of this option.

Returns
  None.

## ◆ setImageDPI:()

- (void) setImageDPI: |  | (int) | dpi |

Set the DPI value as the target compressed value for compressing color/gray images in a PDF document.

When an image can be compressed, the resolution of this image will be compressed to the DPI value set by current function.
For a newly constructed object, if this function is not called to set option, that means to use 150 as the default value of this option.

Parameters

  [in] | dpi | DPI value which is set to be the target compressed DPI value.

Returns
  None.

## ◆ setImageDPILimit:()

- (void) setImageDPILimit: |  | (int) | dpi_limit |

Set the lower limit DPI value for the color/gray image to decide if the image is to be compressed in a PDF document.

If the resolution of an image in the PDF document is above the lower limit DPI value, this image will be compressed to the target compressed DPI value which is set by function FSImageSettings::setImageDPI:.
For a newly constructed object, if this function is not called to set option, that means a DPI value (which is 1.5 times of target compressed DPI value) will be used as the default value of this option.

Parameters

  [in] | dpi_limit | DPI value as the lower limit. This value should be a positive number. Suggested range: bigger than target compressed DPI value (set by function FSImageSettings::setImageDPI:) and the maximum value is 10 times of target compressed DPI value. If input value is not bigger than the target compressed DPI value, a DPI value which is one more than the target compressed DPI value will be used instead. If input value is bigger than the maximum value, the maximum value value will be used instead.

Returns
  None.

## ◆ setQuality:()

- (void) setQuality: |  | (FSImageSettingsImageCompressQuality) | quality |

Set the quality for lossy compression modes, used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSImageSettingsImageCompressQualityMinimum as the default value of this option.

Parameters

  [in] | quality | Quality value for lossy compression modes. Please refer to values starting from FSImageSettingsImageCompressQualityMinimum and this should be one of these values.

Returns
  None.

## ◆ setStretchMode:()

- (void) setStretchMode: |  | (FSImageSettingsStretchMode) | mode |

Set stretch mode used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSImageSettingsStretchBicubic as the default value of this option.

Parameters

  [in] | mode | Stretch mode. Please refer to values starting from FSImageSettingsStretchOff and this should be one of these values.

Returns
  None.

## ◆ setTextSensitivity:()

- (void) setTextSensitivity: |  | (int) | text_sensitivity |

Set the text sensitivity for lossy compression modes, used for optimizing color images in a PDF document.

This function affects the segmentation into foreground (usually text) and background. if this function is not called to set this option, that means to use 60 as the default value of this option.

Parameters

  [in] | text_sensitivity | The value of text sensitivity. A higher sensitivity value results in more content represented in the foreground. The value is especially important in case of documents with low contrast and documents with patterns, images or color in background. Instead, the effect on simple text documents with high contrast, clear bright background and sharp dark symbols is low. Valid values: from 0 to 100.

Returns
  None.

## ◆ setTileSize:()

- (void) setTileSize: |  | (int) | size |

Set the tile size for JPEG2000 compression modes, used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use 256 as the default value of this option.

Parameters

  [in] | size | The size of tile, and this value can only be between 128 and 2048.

Note
  This method only valid in FSImageSettingsImageCompressjpeg2000 compression mode.

Returns
  None.